import React, {Component} from "react";
import {Breadcrumb} from "antd";

class MyBreadCrumb extends Component {
    render() {
        return this.address.split('/').map((ele, index) => {
            let key = this.address.split('/').slice(0, index + 1);
            key = key.join('/');
            // 保证最有'/'结尾
            key = key.slice(-1) === '/' ? key : key + '/';
            return (
                <Breadcrumb.Item
                    key={key}
                    className="breadcrumb-line"
                    onClick={(ev) => this.cdFolder(key)}>
                    <a>{ele}</a>
                </Breadcrumb.Item>
            );
        });
    }
}

export default MyBreadCrumb;